> For the complete documentation index, see [llms.txt](https://docs.openmind.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openmind.com/robotics/unitree_go2_quadruped_configurations.md).

# Unitree Go2 Quadruped Configurations

Unitree Go2 EDU Quadruped Configurations

### Manual Movement Control

Regardless of all other settings, you can manually control the dog's movements with an Xbox (or other) controller. Press:

* A to stand up
* B to sit down
* The D-pad allows you to steer the quadruped.
* The front triggers allow you to turn left and right.

Note that game controller has command precedence over the AI, so game controller inputs will override AI-generated physical actions.

### CONFIGURATION 1: Minimal Quadruped Functionality

In this configuration, the quadruped observes its environment, listens and speaks, but there is no AI-controlled movement.

Run

```bash
make run CONFIG=unitree_go2_basic
```

In this mode, the quadruped is configured to (1) use a small local VLM, (2) listen to you, and (3) to speak to you. The amount of speech ("always") is set via the `"silence_rate": 0, // vocalize all speech outputs` setting in `actions:speak:config`.

### CONFIGURATION 2: Full Autonomy

Run

```bash
make run CONFIG=unitree_go2_autonomy
```

OM1 will provide LIDAR and other data to a system of LLMs, allowing them to autonomously explore indoor and outdoor environments.

In this mode, the quadruped is configured to (1) use a cloud VLM, (2) listen to you, and (3) to speak to you occasionally, unless you spoke first, in which case it will always respond. The amount of speech ("sometimes") is set via the `"silence_rate": 6, // vocalize every 6th speech output` setting in `actions:speak:config`.

### CONFIGURATION 3: Autonomous Mapping

Run

```bash
make run CONFIG=unitree_go2_mapper
```

OM1 will provide LIDAR and other data to a system of LLMs, allowing them to autonomously explore indoor and outdoor environments. Also, the system will log position (local odometry and GPS data) and Bluetooth data, as the basis for reliable navigation and path planning. In this mode, the quadruped is configured to use a cloud VLM. There is no speech in this configuration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openmind.com/robotics/unitree_go2_quadruped_configurations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
